Subject: Re: [PATCH v3] promisor-remote: prevent lazy-fetch recursion in child fetch

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Apr 2026 11:05:42 -0700

Paul Tarjan <[email-masked]> writes:

> Patrick Steinhardt <[email-masked]> writes:
>
>> I must be misunderstanding something here, but how is it that a commit
>> can be garbage collected if a ref points to it? That shouldn't ever
>> happen, as reachable commits should not be pruned.
>>
>> Or do you mean to say that the commits don't exist on the server side
>> anymore?
>
> Sloppy wording on my part — "GC'd" is wrong. These refs pointed at
> commits that were promised but never materialized on the partial
> clone. The ~77K broken refs looked like:
> ...
> This is arguably a separate bug: fetch_objects() should probably
> pass -c remote.<name>.partialclonefilter=blob:none to override for
> the single invocation, rather than --filter=blob:none which
> persists to config. Not in scope for this patch, but I could follow
> up separately if there's interest.

So, is this topic still viable?

At least I see that v3 was not satisfactory enough from the
discussion thread, but do we know what needs updating, how much more
work is needed, and where we want to go?

For now I'll drop the copy I have (from more than a month ago) from
my tree.